%define tarname	equinox-gtk-engine

%define libname %mklibname %{name}

%define gtkbinaryver %(pkg-config --variable=gtk_binary_version gtk+-2.0)

Summary:	Equinox engine for Gtk 2.x
Name:		gtk-equinox-engine
Version:	1.50
Release:	%mkrel 4
Source0:	http://gnome-look.org/CONTENT/content-files/121881-equinox-%{version}.tar.gz
Source1:	http://gnome-look.org/CONTENT/content-files/140448-equinox-themes-1.30.tar.gz
Patch0:		equinox-engine-1.5.0-glib.patch
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://gnome-look.org/content/show.php?content=121881
Requires:	%{libname} = %{version}
BuildRequires:	gtk2-devel >= 2.12

%description
A heavily modified version of the beautiful Aurora engine.

%package -n %{libname}
Summary:    Library files for %{name}
Group:	    System/Libraries
Provides:   %{libname} = %{version}
Requires:   gtk+2.0

%description -n %{libname}
Library files for %{name}.

%prep
%setup -q -n equinox-1.50
%apply_patches
(mkdir -p themes && %__tar fx %SOURCE1 -C themes)

%build
%configure2_5x --enable-animation
%make

%install
%makeinstall_std

install -d -m755 %{buildroot}%{_datadir}/themes
cp -ar themes/* %{buildroot}%{_datadir}/themes

%files
%doc README COPYING ChangeLog AUTHORS
%{_datadir}/themes/*

%files -n %{libname}
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.50-4.mga3
+ Revision: 352821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 fwang <fwang> 1.50-3.mga3
+ Revision: 334641
- correct patch
- fix build with latest glib
- update sources

* Wed May 11 2011 ahmad <ahmad> 1.50-2.mga1
+ Revision: 97184
- Unpack the themes tarball in %%prep
- Drop the buildroot declaration
- Simplify the custon gtkbinaryver macro, pkg-config and gtk2-devel are always
  present in the chroot when building
- imported package gtk-equinox-engine

